# Class FormArrayItemRestoreButtonDirective

#### Hierarchy (View Summary)

- FormArrayItemButton
  - FormArrayItemRestoreButtonDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:14

#####
Index

### Constructors

constructor

### Properties

deletedControl
elementRef
formArray
formGroup
matButton
parent
renderer
type

### Accessors

disabled
index
isDeleted
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy
onClick
updateDisplayStyle

##
Constructors

### constructor

- new FormArrayItemRestoreButtonDirective(
  parent: ControlContainer,
  matButton: MatButton,
  renderer: Renderer2,
  elementRef: ElementRef,
  ): FormArrayItemRestoreButtonDirective

  #### Parameters

  - parent: ControlContainer
  - matButton: MatButton
  - renderer: Renderer2
  - elementRef: ElementRef

  #### Returns FormArrayItemRestoreButtonDirective

  Inherited from FormArrayItemButton.constructor

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:38

##
Properties

### `Protected` deletedControl

deletedControl: RxapFormControl<boolean>

Inherited from FormArrayItemButton.deletedControl

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:34

### `Protected` `Readonly` elementRef

elementRef: ElementRef

Inherited from FormArrayItemButton.elementRef

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:42

### `Protected` formArray

formArray: RxapFormArray

Inherited from FormArrayItemButton.formArray

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:33

### `Protected` formGroup

formGroup: RxapFormGroup<{ deleted: boolean }>

Inherited from FormArrayItemButton.formGroup

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:32

### `Protected` `Readonly` matButton

matButton: MatButton

Inherited from FormArrayItemButton.matButton

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:40

### `Protected` `Readonly` parent

parent: ControlContainer

Inherited from FormArrayItemButton.parent

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:39

### `Protected` `Readonly` renderer

renderer: Renderer2

Inherited from FormArrayItemButton.renderer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:41

### type

type: string = 'button'

Inherited from FormArrayItemButton.type

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:31

##
Accessors

### disabled

- get disabled(): boolean

  #### Returns boolean

  Inherited from FormArrayItemButton.disabled

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:47

### index

- get index(): number

  #### Returns number

  Inherited from FormArrayItemButton.index

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:55

### isDeleted

- get isDeleted(): boolean

  #### Returns boolean

  Inherited from FormArrayItemButton.isDeleted

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:51

### `Protected` isDisabled

- get isDisabled(): boolean

  #### Returns boolean

  Inherited from FormArrayItemButton.isDisabled

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:59

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  Inherited from FormArrayItemButton.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:63

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  Inherited from FormArrayItemButton.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:94

### onClick

- onClick(): void

  #### Returns void

  Overrides FormArrayItemButton.onClick

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:17

### updateDisplayStyle

- updateDisplayStyle(): void

  #### Returns void

  Overrides FormArrayItemButton.updateDisplayStyle

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:21